
Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

Public Enum eRegeneratorErrorType
    eNotSet = 0
    eInvoiceError = 1
    eDeliveryError = 2
    eStorageError = 3
End Enum
<DefaultClassOptions()> _
<NonPersistent()> _
<CreatableItem(False)> _
<NavigationItem(False)> _
Public Class OrderInRegenerator_PopUp
    Inherits BaseObject

    Private _ResultString As String
    Private _RowIndex As Long
    Private _RegeneratorErrorType As eRegeneratorErrorType

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        RegeneratorErrorType = 0
    End Sub

    Property RowIndex As Long
        Get
            Return _RowIndex
        End Get
        Set(value As Long)
            SetPropertyValue("RowIndex", _RowIndex, value)
        End Set
    End Property
    <Size(255)> _
    Property ResultString As String
        Get
            Return _ResultString
        End Get
        Set(value As String)
            SetPropertyValue("ResultString", _ResultString, value)
        End Set
    End Property
    Property RegeneratorErrorType As eRegeneratorErrorType
        Get
            Return _RegeneratorErrorType
        End Get
        Set(value As eRegeneratorErrorType)
            SetPropertyValue("RegeneratorErrorType", _RegeneratorErrorType, value)
        End Set
    End Property
End Class
